/* Copyright (c) 2005 Tim Taylor Consulting (see LICENSE.txt) */

// TODO: write unit tests
ToolMan._cssFactory = {
    readStyle: function(element, property) {
        if (element.style[property]) {
            return element.style[property]
        } else if (element.currentStyle) {
            var r = element.currentStyle[property];
            if (!r && property.toLowerCase() == "z-index")
                r = element.currentStyle["zIndex"]
            return r;
        } else if (document.defaultView && document.defaultView.getComputedStyle) {
            var style = document.defaultView.getComputedStyle(element, null)
            return style.getPropertyValue(property)
        } else {
            return null
        }
    }
}
